<form [formGroup]="form">
  <mat-radio-group class="d-flex flex-column" formControlName="mode">
    <div class="form-group">
      <div class="d-flex">
        <mat-radio-button class="ngx-radio-button mon-radio-btn" value="on"><span>On</span></mat-radio-button>
        <div formGroupName="on" class="d-flex on-the-wrapper">
          <mat-form-field class="ngx-mon-form-field year-select" appearance="outline">
            <mat-select formControlName="month" aria-label="Repeat yearly on month"
                        [disabled]="form.get('mode').value == 'on The'">
              <mat-option value="Jan">Jan</mat-option>
              <mat-option value="Feb">Feb</mat-option>
              <mat-option value="Mar">Mar</mat-option>
              <mat-option value="Apr">Apr</mat-option>
              <mat-option value="May">May</mat-option>
              <mat-option value="Jun">Jun</mat-option>
              <mat-option value="Jul">Jul</mat-option>
              <mat-option value="Aug">Aug</mat-option>
              <mat-option value="Sep">Sep</mat-option>
              <mat-option value="Oct">Oct</mat-option>
              <mat-option value="Nov">Nov</mat-option>
              <mat-option value="Dec">Dec</mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="date-input" appearance="outline">
            <input matInput class="text-center ngx-rrule" type="number" formControlName="day" appOnlyNumber isMinMax="true" min="1" max="31">
          </mat-form-field>
        </div>
      </div>
    </div>
    <mat-divider></mat-divider>
    <div class="form-group onThe-wrapper">
      <div class="d-flex">
        <mat-radio-button class="ngx-radio-button mon-radio-btn" value="on The"><span>On The</span></mat-radio-button>
        <div class="d-flex flex-column on-day-wrapper" formGroupName="onThe">
          <mat-form-field appearance="outline">
            <mat-select formControlName="which"
                        [disabled]="form.get('mode').value == 'on'">
              <mat-option value="First">First</mat-option>
              <mat-option value="Second">Second</mat-option>
              <mat-option value="Third">Third</mat-option>
              <mat-option value="Fourth">Fourth</mat-option>
              <mat-option value="Last">Last</mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="ngx-mon-form-field" appearance="outline">
            <mat-select formControlName="day"
                        [disabled]="form.get('mode').value == 'on'">
              <mat-option value="Monday">Monday</mat-option>
              <mat-option value="Tuesday">Tuesday</mat-option>
              <mat-option value="Wednesday">Wednesday</mat-option>
              <mat-option value="Thursday">Thursday</mat-option>
              <mat-option value="Friday">Friday</mat-option>
              <mat-option value="Saturday">Saturday</mat-option>
              <mat-option value="Sunday">Sunday</mat-option>
              <mat-option value="Day">Day</mat-option>
              <mat-option value="Weekday">Weekday</mat-option>
              <mat-option value="Weekend day">Weekend day</mat-option>
            </mat-select>
            <mat-hint class="ngx-mon-hint">Of</mat-hint>
          </mat-form-field>
          <mat-form-field class="ngx-repeat-select-form-field" appearance="outline">
            <mat-select class="flex-fill" formControlName="month" aria-label="Repeat yearly on month"
                        [disabled]="form.get('mode').value == 'on'">
              <mat-option value="Jan">Jan</mat-option>
              <mat-option value="Feb">Feb</mat-option>
              <mat-option value="Mar">Mar</mat-option>
              <mat-option value="Apr">Apr</mat-option>
              <mat-option value="May">May</mat-option>
              <mat-option value="Jun">Jun</mat-option>
              <mat-option value="Jul">Jul</mat-option>
              <mat-option value="Aug">Aug</mat-option>
              <mat-option value="Sep">Sep</mat-option>
              <mat-option value="Oct">Oct</mat-option>
              <mat-option value="Nov">Nov</mat-option>
              <mat-option value="Dec">Dec</mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </div>
    </div>
  </mat-radio-group>

  <!--    <div class="row mt-2">-->
  <!--      <div class="form-inline">-->
  <!--        <div class="form-group col-lg-12">-->
  <!--          <input type="radio" aria-label="Repeat yearly on" value="on" formControlName="mode">-->
  <!--          <label class="ml-2">on</label>-->
  <!--          <div  formGroupName="on">-->
  <!--            <select formControlName="month" aria-label="Repeat yearly on month" class="form-control"-->
  <!--                    [attr.disabled]="form.value.mode !== 'on'? '' : null">-->
  <!--              <option value="Jan">Jan</option>-->
  <!--              <option value="Feb">Feb</option>-->
  <!--              <option value="Mar">Mar</option>-->
  <!--              <option value="Apr">Apr</option>-->
  <!--              <option value="May">May</option>-->
  <!--              <option value="Jun">Jun</option>-->
  <!--              <option value="Jul">Jul</option>-->
  <!--              <option value="Aug">Aug</option>-->
  <!--              <option value="Sep">Sep</option>-->
  <!--              <option value="Oct">Oct</option>-->
  <!--              <option value="Nov">Nov</option>-->
  <!--              <option value="Dec">Dec</option>-->
  <!--            </select>-->
  <!--            <select formControlName="day" aria-label="Repeat yearly on a day" class="form-control"-->
  <!--                    [attr.disabled]="form.value.mode !== 'on'? '' : null">-->
  <!--              <option *ngFor="let val of range(1, 32)" [value]="val.toString()">{{val}}</option>-->
  <!--            </select>-->
  <!--          </div>-->

  <!--        </div>-->
  <!--      </div>-->
  <!--    </div>-->
  <!--  <div class="row mt-2">-->
  <!--    <div class="form-inline">-->
  <!--      <div class="col-md-12 form-group">-->
  <!--        <input type="radio" value="on the" formControlName="mode">-->
  <!--        <label class="ml-2">on the</label>-->
  <!--        <div formGroupName="onThe">-->
  <!--        <select formControlName="which" aria-label="Repeat yearly on the which" class="form-control"-->
  <!--                [attr.disabled]="form.value.mode === 'on'? '' : null">-->
  <!--          <option value="First">First</option>-->
  <!--          <option value="Second">Second</option>-->
  <!--          <option value="Third">Third</option>-->
  <!--          <option value="Fourth">Fourth</option>-->
  <!--          <option value="Last">Last</option>-->
  <!--        </select>-->

  <!--        <select  formControlName="day" aria-label="Repeat yearly on the day" class="form-control"-->
  <!--                [attr.disabled]="form.value.mode === 'on'? '' : null">-->
  <!--          <option value="Monday">Monday</option>-->
  <!--          <option value="Tuesday">Tuesday</option>-->
  <!--          <option value="Wednesday">Wednesday</option>-->
  <!--          <option value="Thursday">Thursday</option>-->
  <!--          <option value="Friday">Friday</option>-->
  <!--          <option value="Saturday">Saturday</option>-->
  <!--          <option value="Sunday">Sunday</option>-->
  <!--          <option value="Day">Day</option>-->
  <!--          <option value="Weekday">Weekday</option>-->
  <!--          <option value="Weekend day">Weekend day</option>-->
  <!--        </select>-->
  <!--        </div>-->
  <!--        <label class="ml-1 mr-1">of</label>-->
  <!--        <div formGroupName="onThe">-->
  <!--        <select  formControlName="month" aria-label="Repeat yearly on the month" class="form-control"-->
  <!--                [attr.disabled]="form.value.mode === 'on'? '' : null">-->
  <!--          <option value="Jan">Jan</option>-->
  <!--          <option value="Feb">Feb</option>-->
  <!--          <option value="Mar">Mar</option>-->
  <!--          <option value="Apr">Apr</option>-->
  <!--          <option value="May">May</option>-->
  <!--          <option value="Jun">Jun</option>-->
  <!--          <option value="Jul">Jul</option>-->
  <!--          <option value="Aug">Aug</option>-->
  <!--          <option value="Sep">Sep</option>-->
  <!--          <option value="Oct">Oct</option>-->
  <!--          <option value="Nov">Nov</option>-->
  <!--          <option value="Dec">Dec</option>-->
  <!--        </select>-->
  <!--        </div>-->
  <!--      </div>-->
  <!--    </div>-->
  <!--  </div>-->
</form>
